[snafuu] Re: QGLWidget deb package

  • From: Garrett LeSage <garrett@xxxxxxxxxxxx>
  • To: "snafuu@xxxxxxxxxxxxx" <snafuu@xxxxxxxxxxxxx>
  • Date: 27 Jan 2002 00:52:13 -0500

On Sat, 2002-01-26 at 16:18, phrostie wrote:
> 
> I'm trying to run a new release of a cad package called varicad.
> it's default format is rpm but i ran it through alien to convert it to deb.
> no errors.
> ran dpkg to install it.
> no errors.
> ran varicad and get.
> 
> $ varicad
> varicad: relocation error: varicad: undefined symbol: __ti9QGLWidget
> 
> 
> what debian package supplies QGLWidget?
> I seem to be needing it.

Qt should provide this.

It should be either libqt2 or libqt3, depending on what it was compiled
against.

For what it's worth, I get the same error here. You might want to
suggest that they try compiling it on Debian and/or against Qt3.

Also, you could always get the Qt2 RPM, alien it to a tarball, extract
the Qt lib, write an alias for varicad to temporarily change the library
path, and then run the program with the RPM library.

Either way, good luck.

Garrett


Other related posts: